var _excluded = ["pcIsEllipsis", "padIsEllipsis", "mobileIsEllipsis", "ellipsis"],
  _excluded2 = ["pcIsEllipsis", "padIsEllipsis", "mobileIsEllipsis", "ellipsis"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useMemo } from "react";
import { Typography as AntTypography } from "antd";
import { useResponsive } from "../../hooks";
var AntParagraph = AntTypography.Paragraph,
  AntTitle = AntTypography.Title;
var Paragraph = function Paragraph(props) {
  var pcIsEllipsis = props.pcIsEllipsis,
    padIsEllipsis = props.padIsEllipsis,
    mobileIsEllipsis = props.mobileIsEllipsis,
    ellipsis = props.ellipsis,
    others = _objectWithoutProperties(props, _excluded);
  var responsive = useResponsive();
  var ellipsisObj = useMemo(function () {
    if (pcIsEllipsis && responsive === "pc") {
      return {
        ellipsis: ellipsis
      } || {};
    }
    if (padIsEllipsis && responsive === "ipad") {
      return {
        ellipsis: ellipsis
      } || {};
    }
    if (mobileIsEllipsis && responsive === "phone") {
      return {
        ellipsis: ellipsis
      } || {};
    }
    return {};
  }, [pcIsEllipsis, padIsEllipsis, mobileIsEllipsis, ellipsis, responsive]);
  return /*#__PURE__*/React.createElement(AntParagraph, _extends({}, others, ellipsisObj));
};
var Title = function Title(props) {
  var pcIsEllipsis = props.pcIsEllipsis,
    padIsEllipsis = props.padIsEllipsis,
    mobileIsEllipsis = props.mobileIsEllipsis,
    ellipsis = props.ellipsis,
    others = _objectWithoutProperties(props, _excluded2);
  var responsive = useResponsive();
  var ellipsisObj = useMemo(function () {
    if (pcIsEllipsis && responsive === "pc") {
      return {
        ellipsis: ellipsis
      } || {};
    }
    if (padIsEllipsis && responsive === "ipad") {
      return {
        ellipsis: ellipsis
      } || {};
    }
    if (mobileIsEllipsis && responsive === "phone") {
      return {
        ellipsis: ellipsis
      } || {};
    }
    return {};
  }, [pcIsEllipsis, padIsEllipsis, mobileIsEllipsis, ellipsis, responsive]);
  return /*#__PURE__*/React.createElement(AntTitle, _extends({}, others, ellipsisObj));
};
var Typography = AntTypography;
Typography.Paragraph = Paragraph;
Typography.Title = Title;
export default Typography;